/***************************************************************************
                          playlistitem.h  -  A self-displayable item for 
			                   kaffeine's playlist
                             -------------------
    begin                : Mon Feb 16 2004
    revision             : $Revision: 1.2 $
    last modified        : $Date: 2004/09/04 19:12:21 $ by $Author: juergenk $    
    copyright            : (C) 2004 by Giorgos Gousios, Jürgen Kofler
    email                : kaffeine@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PLAYLISTITEM_H
#define PLAYLISTITEM_H
 
#include <klistview.h>

class QTime;
class QString;
class QStringList;
class MRL;
 
class PlaylistItem : public KListViewItem
{

public:
   PlaylistItem(KListView *list, KListViewItem *after, const QString& url, const QString& mime, const QString& title, 
                const QString& length = QString::null, const QString& artist = QString::null, const QString& album = QString::null,
                const QString& track = QString::null, const QString& year = QString::null, const QString& genre = QString::null,
		const QStringList& subtitles = QStringList(), int currentSubtitle = -1);
   PlaylistItem(KListView* list, KListViewItem* after, const MRL&);
   virtual ~PlaylistItem();

   MRL toMRL() const;
   
   const QString& url() const;
   QString mime() const;
   QString title() const;
   QString artist() const;
   QString album() const;
   QString track() const;
   QString year() const;
   QString genre() const;
   QString length() const;
   const QStringList& subtitles() const;
   int currentSubtitle() const;
   
   void setUrl(const QString&);
   void setMime(const QString&);
   void setTitle(const QString&);
   void setArtist(const QString&);
   void setAlbum(const QString&);
   void setTrack(const QString&);
   void setYear(const QString&);
   void setGenre(const QString&);
   void setLength(const QString&);
   void setSubtitles(const QStringList&);
   void addSubtitle(const QString&);
   void setCurrentSubtitle(int);
   
private:
   static QTime stringToTime(const QString&);
   QString m_url;
   QString m_year;
   QString m_genre;
   QStringList m_subtitles;
   int m_currentSubtitle;
};


#endif



